package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 海康计划执行状态
 *
 * @author zxfei
 */
public enum PlanStatusEnum {
    FAIL("FAIL", "下发失败"),
    PART_FAIL("PART_FAIL", "部分失败"),
    DELETE("FAIL", "已被删除"),
    RUNNING("RUNNING", "正在下发"),
    WAITING("WAITING", "等待下发"),
    PAUSE("PAUSE", "暂停"),
    SUCCESS("SUCCESS", "下发成功");
    private String value;
    private String desc;

    PlanStatusEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PlanStatusEnum getByValue(String value) {
        for (PlanStatusEnum processStatusEnum : PlanStatusEnum.values()) {
            if (processStatusEnum.getValue() == value) {
                return processStatusEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PlanStatusEnum item : PlanStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}